// AUTHOR	:	Terox (terox_@hotmail.com) www.zeus-community.net
// LAST Edited	:	01/01/2014
// MP MACHINE	:	Serverside
// Called from	:	zeu_A3ServerBriefing.pbo
// Called using	: 	Extended_PreInit_EventHandler
// Time Called	:	Before Time 0
// Description	:	Creates a game logic in the mission
//			This injects a diary subject and diary record into the players briefing
//
// COMMENTS	:	All Define variables are Strings
//
//			ZEU_SERVERTITLE	: Defined in userconfig
//			ZEU_SERVERINFO	: Defined in userconfig

//#include "\userconfig\zeu\zeu_A3serverBriefing.hpp"

if (!isServer) exitWith {false};

_h = objNull spawn
{
	_h = objNull execVM "\userconfig\zeu\zeu_A3serverBriefing.hpp";
	waitUntil {scriptDone _h};

	{publicVariable _x} forEach ["ZEU_SERVERTITLE",  "ZEU_SERVERINFO", "ZEU_RULES", "ZEU_EVENTS"];
	_init = '
	if ( !isDedicated ) then
	{
		zeu_serverbriefing = this;
		[] spawn {
			waitUntil { (!isNull player) && (! isNil "ZEU_SERVERTITLE") && (! isNil "ZEU_SERVERINFO")};
			player createDiarySubject ["zeu_serverPage",ZEU_SERVERTITLE];
			player createDiaryRecord ["zeu_serverPage",["Server Info",ZEU_SERVERINFO]];
			player createDiaryRecord ["zeu_serverPage",["Server Rules",ZEU_RULES]];
			player createDiaryRecord ["zeu_serverPage",["Special Events",ZEU_EVENTS]];
		};
	}';
	"Logic" createUnit [[1,1,1], (createGroup sideLogic), _init, 0.5, "corporal"];
};
true
